summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_install_files.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-01 21:09:37 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-01 21:09:37 +0000
commitbf9edfaed49c4387e181be454602e0cc65fe4382 (patch)
tree2bf582d4f1f0916946bc2285014b193482c52d86 /subr/pkg_install_files.subr
parent725770754d9f53d5b41d876053a7a993b629472e (diff)
downloadmidipix_build-bf9edfaed49c4387e181be454602e0cc65fe4382.tar.bz2
midipix_build-bf9edfaed49c4387e181be454602e0cc65fe4382.tar.xz
General cleanup, pt. III.
dist/dist_digest.dist: removes obsolete dist file. etc/{build.usage,README.md}: updated. groups/000.host_tools.group:{autoconf,automake,gettext_tiny,install_strip,libtool,m4}_host: moved from groups/010.host_deps.group. groups/221.native_packages_dev.group:lua: moved from groups/231.native_packages_etc.group. groups/221.native_packages_dev.group:lua:${PKG_FORCE_AUTORECONF}: set. groups/231.native_packages_etc.group:{mlogin,tdnf}:${PKG_FORCE_AUTORECONF}: set. groups/241.native_packages_inet.group:nullmailer:${PKG_FORCE_AUTORECONF}: set. groups/251.native_packages_lib.group:lib{asr,gpg_error}:${PKG_FORCE_AUTORECONF}: set. midipix.env, etc/README.md, subr/pkg_configure_autotools.subr: adds FORCE_NO_AUTORECONF. subr/rtl_fileop.subr: adds ch{mod,own} fileops. vars/{check_updates,jamvm,lib{asr,gpg_error},lua,mlogin,tdnf}.vars: removes obsolete vars file.
Diffstat (limited to 'subr/pkg_install_files.subr')
-rw-r--r--subr/pkg_install_files.subr17
1 files changed, 11 insertions, 6 deletions
diff --git a/subr/pkg_install_files.subr b/subr/pkg_install_files.subr
index 5a4d9708..362f4926 100644
--- a/subr/pkg_install_files.subr
+++ b/subr/pkg_install_files.subr
@@ -4,17 +4,20 @@
pkgp_install_files() {
if [ -n "${PKG_INSTALL_FILES}" ]; then
- rtl_install -v "${PKG_DESTDIR}" ${PKG_INSTALL_FILES} || return "${?}";
+ if ! rtl_install -v "${PKG_DESTDIR}" ${PKG_INSTALL_FILES}; then
+ return 1;
+ fi;
fi;
};
pkgp_install_files_pkgconfig() {
local _pc_path="";
for _pc_path in $(find "${PKG_DESTDIR}" -name \*.pc); do
- if grep -Eq '^libdir=[^$]+$' "${_pc_path}"; then
- sed -i"" -e '/^libdir=[^$]\+$/s/^libdir=\(.\+\)$/libdir=${exec_prefix}\1/' \
+ if grep -Eq '^libdir=[^$]+$' "${_pc_path}"\
+ && ! sed -i"" -e '/^libdir=[^$]\+$/s/^libdir=\(.\+\)$/libdir=${exec_prefix}\1/' \
-e '/^exec_prefix=$/s/^.*$/exec_prefix=${prefix}/' \
- "${_pc_path}" || return "${?}";
+ "${_pc_path}"; then
+ return 1;
fi;
done;
};
@@ -31,7 +34,9 @@ pkgp_install_files_strip() {
for _bin_path in $(find "${_tree_root}" -perm /a=x -type f); do
if objdump -sj .debug_info "${_bin_path}" >/dev/null 2>&1; then
rtl_log_msg info "Stripping ${_bin_path}...";
- "${PKG_TARGET}-strip" "${_bin_path}" || return "${?}";
+ if ! "${PKG_TARGET}-strip" "${_bin_path}"; then
+ return 1;
+ fi;
fi;
done;
fi;
@@ -41,7 +46,7 @@ pkg_install_files() {
if ! pkgp_install_files\
|| ! pkgp_install_files_pkgconfig\
|| ! pkgp_install_files_strip; then
- return "${?}";
+ return 1;
fi;
};